Find the answer to your Linux question:
Results 1 to 3 of 3
I am using Zabbix in a corporate environment. When trying to import a template, as Admin, onto a Zabbix 2.0.0 server with the PHP web interface, I get the following ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Apr 2011
    Posts
    10

    Zabbix server issues


    I am using Zabbix in a corporate environment.

    When trying to import a template, as Admin, onto a Zabbix 2.0.0 server with the PHP web interface, I get the following error:

    Error in query [INSERT INTO trigger_depends (triggerid_down,triggerid_up,triggerdepid) VALUES ('13908','1',1)] [Cannot add or update a child row: a foreign key constraint fails]
    SQL statement execution has failed "INSERT INTO trigger_depends (triggerid_down,triggerid_up,triggerdepid) VALUES ('13908','1',1)".

    This is with curl 7.25.0, php-xml, php 5.3.13, zabbix 2.0.0, mysql 4.1.20. The curl, php and zabbix packages were source while the others were from redhat repo from Redhat Linux kernel 2.6.9-55.ELsmp. Thank you.
    Edit/Delete Message

  2. #2
    Just Joined!
    Join Date
    Aug 2007
    Location
    Fairfax, VA
    Posts
    22
    A lot of things have changed, what kind of template is it? Was it exported from 2.0? 1.8/1.9 templates if I remember correctly will *not* work in 2.0, too much stuff have changed.

  3. #3
    Just Joined!
    Join Date
    Aug 2007
    Location
    Fairfax, VA
    Posts
    22
    Also if you need a resolution quickly #zabbix on freenode is a very active channel, come by and say hello ... I'm side_control @ freenode

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •